Subject: Re: IMAP over SSL using port 993?

From: Andrew Biggs <[email-masked]>
Date: Tue, 11 Jan 2005 17:43:32 -0800 (PST)

Excellent, you just made my day.  Thanks Mark!

Mark Crispin wrote:

> On Tue, 11 Jan 2005, Andrew Biggs wrote:
>
>> Specifically, I am finding that although Exchange
>> doesn't appear to support the STARTTLS capability
(if
>> you know how to turn this on please let me know!),
it
>> does apparently listen to port 993 for connections
>> that begin with a TLS negotiation, followed by
IMAP.
>
>
> SSL negotiation, not TLS negotiation.  Specifically,
the SSLv23 method, as opposed to the TLSv1 method.
>
>> I suspect this is considered pretty non-standard,
and
>> out of scope for c-client.  Nonetheless, its a
problem
>> I need to solve.
>
>
> It's standard, but an older standard; and it is
supported by c-client.
>
>> I was hoping for suggestions on how I might go
about
>> making this work.
>
>
> The work is already done for you.
>
> Just add "/ssl" after the host name in the mailbox
specification, e.g.
>     {imap.example.com/ssl}INBOX
>
> -- Mark --
>
> http://staff.washington.edu/mrc
> Science does not emerge from voting, party politics,
or public debate.
> Si vis pacem, para bellum.